=== debian/changelog ===
apt-listchanges (4.8) unstable; urgency=medium

  * When a package has both regular changelog entries and binnmu changelog
    entries, we need to display both of them, not just the binnmu entries.
    (Closes: #1083066)
  * When we are trying to read changelog entries from an installed package
    and we find binnmu entries but no regular changelog entries, treat
    that as a successful read. Previously, this would be interpreted as
    there being no locally installed changelog files so the program would
    attempt to fetch changelog entries over the network unnecessarily.
  * German program translation update courtesy of Helge Kreutzmann.
    (Closes: #1083245)
  * Galician debconf translation update courtesy of Pablo.

 -- Jonathan Kamens <jik@kamens.us>  Sun, 06 Oct 2024 14:56:36 -0400
