=== debian/control ===
Source: apt-listchanges
Section: utils
Priority: standard
Maintainer: Jonathan Kamens <jik@kamens.us>
Standards-Version: 4.7.0
Homepage: https://salsa.debian.org/debian/apt-listchanges/
Vcs-Git: https://salsa.debian.org/debian/apt-listchanges.git
Vcs-Browser: https://salsa.debian.org/debian/apt-listchanges/
Build-Depends: debconf,
               debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-debconf
Build-Depends-Indep: docbook-xml,
                     docbook-xsl,
                     gettext,
                     libxml2-utils,
                     markdown,
                     po-debconf,
                     po4a,
                     python3,
                     python3-apt,
                     python3-pyfakefs,
                     python3-pytest,
                     python3-pytest-cov,
                     python3-pytest-mock,
                     python3-setuptools,
                     python3-yaml,
                     xsltproc
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: apt-listchanges
Architecture: all
Multi-Arch: foreign
Depends: apt,
         python3-apt,
         python3-debconf,
         sensible-utils,
         ucf,
         ${misc:Depends},
         ${python3:Depends}
Suggests: default-mta | mail-transport-agent,
          python3-gi,
          www-browser,
          x-terminal-emulator
Description: package change history notification tool
 The tool apt-listchanges can compare a new version of a
 package with the one currently installed and show what has been
 changed, by extracting the relevant entries from the Debian changelog
 and NEWS files.
 .
 It can be run on several .deb archives at a time to get a list of all
 changes that would be caused by installing or upgrading a group of
 packages. When configured as an APT plugin it will do this
 automatically during upgrades.
