## apt-listchanges 4.8+nmu1

=== debian/changelog ===
apt-listchanges (4.8+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark pytest to be test-only. (Closes: #1126993)

  [ Carles Pina i Estany ]
  * Update Catalan translation.

  [ Jonathan Kamens ]
  * Dutch program and man page translation updates courtesy of Frans
    Spiesschaert. (Closes: #1087345, #1087460)

 -- Bastian Germann <bage@debian.org>  Wed, 04 Feb 2026 21:15:11 +0100
