=== debian/control ===
--- 
+++ 
@@ -22,9 +22,9 @@
                      python3,
                      python3-apt,
                      python3-pyfakefs,
-                     python3-pytest,
-                     python3-pytest-cov,
-                     python3-pytest-mock,
+                     python3-pytest <!nocheck>,
+                     python3-pytest-cov <!nocheck>,
+                     python3-pytest-mock <!nocheck>,
                      python3-setuptools,
                      python3-yaml,
                      xsltproc
